package com.jxdinfo.hussar.core.util;

import com.alibaba.fastjson.JSONObject;
import com.jxdinfo.hussar.core.support.SystemInfo;
import com.jxdinfo.hussar.core.util.ClassUtil;
import com.jxdinfo.hussar.core.util.ResKit;
import com.jxdinfo.hussar.core.util.UAUtils;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.ConnectException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;
import org.apache.commons.lang3.StringUtils;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;

public class HussarHttpRequest {

   public static DiscoveryClient client;
   private static AtomicInteger transient = new AtomicInteger(1);
   public static String volServerId;
   public static String volServerContextPath;


   public static String getOutIPV4(String a) throws Exception {
      StringBuilder var1 = new StringBuilder();
      String var2 = "";
      Object var3 = null;
      HttpURLConnection var4 = null;
      BufferedReader var5 = null;
      var4 = (HttpURLConnection)(new URL(a)).openConnection();
      var4.setRequestMethod("GET");
      var4.setRequestProperty("User-Agent", UAUtils.generateRandomUA());
      var4.connect();
      BufferedReader var10000 = var5 = new BufferedReader(new InputStreamReader(var4.getInputStream(), "UTF-8"));

      while((var2 = var10000.readLine()) != null) {
         var10000 = var5;
         var1.append(var2);
      }

      var5.close();
      var4.disconnect();
      String var6;
      return isValidIPv4(var6 = var1.toString().trim())?var6:"127.0.0.1";
   }

   public static JSONObject sendPost(String a, JSONObject a1, String a2) throws Exception {
      String var3 = a;
      if(StringUtils.startsWith(a, ClassUtil.strictfp(",jf t"))) {
         var3 = StringUtils.removeStart(a, ResKit.else("+1a{s"));
         String var4;
         if(StringUtils.isEmpty(var4 = int(volServerId))) {
            throw new Exception(ClassUtil.strictfp("诣梀柭鄑罡ｚ"));
         }

         var4 = (new StringBuilder()).insert(0, var4).append("/".equals(volServerContextPath)?"":volServerContextPath).toString();
         System.setProperty(ResKit.else("4&(6,<h2#\u001cV<\"!-1."), var4);
         if(var4 != null) {
            var3 = StringUtils.replace(var3, volServerId, var4);
         }
      }

      StringBuffer var45 = new StringBuffer();
      HttpURLConnection var44 = (HttpURLConnection)(new URL(var3)).openConnection();
      var44.setDoInput(true);
      var44.setDoOutput(true);
      var44.setRequestMethod("POST");
      var44.setRequestProperty("User-Agent", UAUtils.generateRandomUA());
      var44.setRequestProperty(ClassUtil.strictfp("\\$E\u0011q#|5`5"), ResKit.else("\u000f)\u0015\bb\u0006?2\"9"));
      var44.setUseCaches(false);
      var44.setConnectTimeout('썐');
      var44.setRequestProperty(ClassUtil.strictfp("4g7j5"), a2);
      var44.setRequestProperty("Content-Type", "application/json");

      try {
         var44.connect();
      } catch (ConnectException var32) {
         if(StringUtils.contains(a, ResKit.else("<#2#\u001b\u001d+\u0004;>77"))) {
            return new JSONObject();
         }

         Exception var10001 = new Exception;
         String var10002 = ClassUtil.strictfp("杓劯辄掻奻购ｐ诸梛柭讫汜坺坕a:8\u000b晐吲鄍罦欿硡ｚ");
         Object[] var10003 = new Object[1];
         boolean var10005 = true;
         ((Object[])true)[0] = (boolean)a;
         var10002.<init>(String.format(var10003, true));
         throw var10001;
      }

      OutputStreamWriter var10000 = new OutputStreamWriter(var44.getOutputStream(), "UTF-8");
      var10000.write(a1.toJSONString());
      var10000.flush();
      var10000.close();

      Throwable var47;
      try {
         BufferedReader a3 = new BufferedReader(new InputStreamReader(var44.getInputStream(), "UTF-8"));
         a2 = null;

         try {
            try {
               String var46 = "";

               while((var46 = a3.readLine()) != null) {
                  var45.append(var46);
               }
            } catch (Throwable var38) {
               throw var38;
            }
         } catch (Throwable var39) {
            if(a3 != null) {
               if(a2 != null) {
                  try {
                     a3.close();
                  } catch (Throwable var37) {
                     var47 = var39;
                     a2.addSuppressed(var37);
                     throw var47;
                  }

                  var47 = var39;
                  throw var47;
               }

               a3.close();
            }

            var47 = var39;
            throw var47;
         }

         if(a3 != null) {
            if(a2 != null) {
               try {
                  a3.close();
               } catch (Throwable var31) {
                  a2.addSuppressed(var31);
               }
            } else {
               a3.close();
            }
         }
      } catch (FileNotFoundException var40) {
         throw new Exception(ResKit.else("讲梍洅讱氆坼地晗呩鄊缽欸砺｝"));
      } catch (IOException var41) {
         BufferedReader a4 = new BufferedReader(new InputStreamReader(var44.getErrorStream(), "UTF-8"));
         JSONObject var5 = null;

         String var6;
         try {
            try {
               var6 = "";

               while((var6 = a4.readLine()) != null) {
                  var45.append(var6);
               }
            } catch (Throwable var35) {
               throw var35;
            }
         } catch (Throwable var36) {
            if(a4 != null) {
               if(var5 != null) {
                  try {
                     a4.close();
                  } catch (Throwable var33) {
                     var47 = var36;
                     var5.addSuppressed(var33);
                     throw var47;
                  }

                  var47 = var36;
                  throw var47;
               }

               a4.close();
            }

            var47 = var36;
            throw var47;
         }

         StringBuffer var48;
         if(a4 != null) {
            if(var5 != null) {
               label372: {
                  try {
                     a4.close();
                  } catch (Throwable var34) {
                     var48 = var45;
                     var5.addSuppressed(var34);
                     break label372;
                  }

                  var48 = var45;
               }
            } else {
               a4.close();
               var48 = var45;
            }
         } else {
            var48 = var45;
         }

         if(StringUtils.isNotEmpty(var6 = (var5 = JSONObject.parseObject(var48.toString())).getString(ClassUtil.strictfp("g$l;D\u0011g%K3k>"))) && ResKit.else("ofh").equals(var6)) {
            return var5;
         }

         throw new Exception(var5.getString(ClassUtil.strictfp("\u0012q3{=h>")));
      }

      return JSONObject.parseObject(var45.toString());
   }

   public static boolean isValidIPv4(String a) {
      String var1 = ClassUtil.strictfp("_&r=nIv:v\b}\u0001<>w<\u0001T8f\u00159lnXS?S?4vuS719#&h+\u00118q:\u0006ntSl\u0000MG\u0012s?Iv.\u0016\r:O#iff?");
      return a.matches(var1);
   }

   public static void main(String[] a) throws Exception {
      long var1 = System.currentTimeMillis();

      int var3;
      for(int var10000 = var3 = 0; var10000 < 10; var10000 = var3) {
         ++var3;
         System.out.println(ping("http://123.232.10.234:8090/", 100));
      }

      System.out.println(System.currentTimeMillis() - var1);
   }

   // $FF: synthetic method
   private static String int(String a) {
      List var1;
      if((var1 = client.getInstances(a)) != null && var1.size() != 0) {
         List var10000 = var1;
         int var2 = var1.size();
         return ((ServiceInstance)var10000.get(transient.getAndIncrement() % var2)).getUri().toASCIIString();
      } else {
         System.err.println((new StringBuilder()).insert(0, ResKit.else("沼凐乤徂杤厗珤\u0007")).append(a).append(ClassUtil.strictfp("R杖努ｓ诞梽査.c-m5h/z%盷儨酟缨昺呧歬砵")).toString());
         return null;
      }
   }

   public static boolean ping(String a, int a1) {
      boolean var2 = false;

      try {
         HttpURLConnection var4 = (HttpURLConnection)(new URL(a)).openConnection();
         var4.setConnectTimeout(a1);
         var4.setRequestMethod("GET");
         var4.setRequestProperty("User-Agent", (new StringBuilder()).insert(0, ResKit.else("\t<3\"b\u00168<3xngq`vn`")).append(SystemInfo.getIpAddrAndName()).toString());
         if(var4.getResponseCode() == 200) {
            var2 = true;
         }

         var4.disconnect();
         return var2;
      } catch (Throwable var5) {
         var2 = false;
         return false;
      }
   }
}
